> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Source

> Get a knowledge source by ID.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/sources/{source_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/sources/{source_id}:
    get:
      tags:
        - Sources
      summary: Get Source
      description: Get a knowledge source by ID.
      operationId: core_api_v1_controllers_sources_get_source
      parameters:
        - in: path
          name: source_id
          schema:
            title: Source Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SourceOut:
      description: Stripe-aligned source response.
      properties:
        object:
          default: source
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        source_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Type
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
        sync_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Sync Status
        auto_sync_enabled:
          default: false
          title: Auto Sync Enabled
          type: boolean
        last_synced_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Synced At
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - name
      title: SourceOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````